export var RoomType;
(function (RoomType) {
    // The value of "NULL" is removed, since there are no vanilla rooms with this value and it should
    // be impossible to retrieve this value from the API.
    RoomType[RoomType["DEFAULT"] = 1] = "DEFAULT";
    RoomType[RoomType["SHOP"] = 2] = "SHOP";
    RoomType[RoomType["ERROR"] = 3] = "ERROR";
    RoomType[RoomType["TREASURE"] = 4] = "TREASURE";
    RoomType[RoomType["BOSS"] = 5] = "BOSS";
    RoomType[RoomType["MINI_BOSS"] = 6] = "MINI_BOSS";
    RoomType[RoomType["SECRET"] = 7] = "SECRET";
    RoomType[RoomType["SUPER_SECRET"] = 8] = "SUPER_SECRET";
    RoomType[RoomType["ARCADE"] = 9] = "ARCADE";
    RoomType[RoomType["CURSE"] = 10] = "CURSE";
    /** This includes both normal Challenge Rooms and Boss Challenge Rooms. */
    RoomType[RoomType["CHALLENGE"] = 11] = "CHALLENGE";
    RoomType[RoomType["LIBRARY"] = 12] = "LIBRARY";
    RoomType[RoomType["SACRIFICE"] = 13] = "SACRIFICE";
    RoomType[RoomType["DEVIL"] = 14] = "DEVIL";
    RoomType[RoomType["ANGEL"] = 15] = "ANGEL";
    /** This is the room type of a crawl space. */
    RoomType[RoomType["DUNGEON"] = 16] = "DUNGEON";
    RoomType[RoomType["BOSS_RUSH"] = 17] = "BOSS_RUSH";
    RoomType[RoomType["CLEAN_BEDROOM"] = 18] = "CLEAN_BEDROOM";
    RoomType[RoomType["DIRTY_BEDROOM"] = 19] = "DIRTY_BEDROOM";
    RoomType[RoomType["CHEST"] = 20] = "CHEST";
    RoomType[RoomType["DICE"] = 21] = "DICE";
    RoomType[RoomType["BLACK_MARKET"] = 22] = "BLACK_MARKET";
    RoomType[RoomType["GREED_EXIT"] = 23] = "GREED_EXIT";
    RoomType[RoomType["PLANETARIUM"] = 24] = "PLANETARIUM";
    /** The Mausoleum teleporter entrance. Currently unused. */
    RoomType[RoomType["TELEPORTER"] = 25] = "TELEPORTER";
    /** The Mausoleum teleporter exit. Currently unused. */
    RoomType[RoomType["TELEPORTER_EXIT"] = 26] = "TELEPORTER_EXIT";
    /**
     * The room with a trapdoor to the Repentance floors. This also includes the "strange room" on
     * Depths 2.
     */
    RoomType[RoomType["SECRET_EXIT"] = 27] = "SECRET_EXIT";
    /** The Blue Womb rooms spawned by the Blue Key. */
    RoomType[RoomType["BLUE"] = 28] = "BLUE";
    RoomType[RoomType["ULTRA_SECRET"] = 29] = "ULTRA_SECRET";
})(RoomType || (RoomType = {}));
