/* eslint-disable sort-exports/sort-exports */
/**
 * For `GridEntityType.ROCK` (2).
 *
 * Note that this does not always apply to `GridEntityRock`, since that class can be equal to other
 * grid entity types.
 */
export var RockVariant;
(function (RockVariant) {
    RockVariant[RockVariant["NORMAL"] = 0] = "NORMAL";
    RockVariant[RockVariant["EVENT"] = 1] = "EVENT";
})(RockVariant || (RockVariant = {}));
/**
 * For GridEntityType.ROCK_ALT (6), RockAltType.URN.
 *
 * Note that you are unable to spawn specific urn variants. The game will pick a random variant
 * regardless of which one you select.
 */
export var UrnVariant;
(function (UrnVariant) {
    UrnVariant[UrnVariant["NORMAL"] = 0] = "NORMAL";
    UrnVariant[UrnVariant["CHIPPED_TOP_LEFT"] = 1] = "CHIPPED_TOP_LEFT";
    UrnVariant[UrnVariant["NARROW"] = 2] = "NARROW";
})(UrnVariant || (UrnVariant = {}));
/**
 * For GridEntityType.ROCK_ALT (6), RockAltType.MUSHROOM.
 *
 * Note that you are unable to spawn specific mushroom variants. The game will pick a random variant
 * regardless of which one you select.
 */
export var MushroomVariant;
(function (MushroomVariant) {
    MushroomVariant[MushroomVariant["NORMAL"] = 0] = "NORMAL";
    MushroomVariant[MushroomVariant["CHIPPED_TOP_RIGHT"] = 1] = "CHIPPED_TOP_RIGHT";
    MushroomVariant[MushroomVariant["NARROW"] = 2] = "NARROW";
})(MushroomVariant || (MushroomVariant = {}));
/**
 * For GridEntityType.ROCK_ALT (6), RockAltType.SKULL.
 *
 * Note that you are unable to spawn specific skull variants. The game will pick a random variant
 * regardless of which one you select.
 */
export var SkullVariant;
(function (SkullVariant) {
    SkullVariant[SkullVariant["NORMAL"] = 0] = "NORMAL";
    SkullVariant[SkullVariant["FACING_RIGHT"] = 1] = "FACING_RIGHT";
    SkullVariant[SkullVariant["FACING_LEFT"] = 2] = "FACING_LEFT";
})(SkullVariant || (SkullVariant = {}));
/**
 * For GridEntityType.ROCK_ALT (6), RockAltType.POLYP.
 *
 * Note that you are unable to spawn specific polyp variants. The game will pick a random variant
 * regardless of which one you select.
 */
export var PolypVariant;
(function (PolypVariant) {
    PolypVariant[PolypVariant["NORMAL"] = 0] = "NORMAL";
    PolypVariant[PolypVariant["MANY_FINGERS"] = 1] = "MANY_FINGERS";
    PolypVariant[PolypVariant["FLIPPED_AND_SHIFTED_UPWARDS"] = 2] = "FLIPPED_AND_SHIFTED_UPWARDS";
})(PolypVariant || (PolypVariant = {}));
/**
 * For GridEntityType.ROCK_ALT (6), RockAltType.BUCKET.
 *
 * Note that you are unable to spawn specific bucket variants. The game will pick a random variant
 * regardless of which one you select.
 */
export var BucketVariant;
(function (BucketVariant) {
    BucketVariant[BucketVariant["EMPTY"] = 0] = "EMPTY";
    BucketVariant[BucketVariant["FULL"] = 1] = "FULL";
    BucketVariant[BucketVariant["EMPTY_AND_SHIFTED_UPWARDS"] = 2] = "EMPTY_AND_SHIFTED_UPWARDS";
})(BucketVariant || (BucketVariant = {}));
/** For `GridEntityType.PIT` (7). */
export var PitVariant;
(function (PitVariant) {
    PitVariant[PitVariant["NORMAL"] = 0] = "NORMAL";
    PitVariant[PitVariant["FISSURE_SPAWNER"] = 16] = "FISSURE_SPAWNER";
})(PitVariant || (PitVariant = {}));
/**
 * For `GridEntityType.FIREPLACE` (13).
 *
 * This only partially corresponds to the `FireplaceVariant` for non-grid entities. (Spawning a grid
 * entity fireplace with a variant higher than 1 will result in a normal fireplace.)
 */
export var FireplaceGridEntityVariant;
(function (FireplaceGridEntityVariant) {
    FireplaceGridEntityVariant[FireplaceGridEntityVariant["NORMAL"] = 0] = "NORMAL";
    FireplaceGridEntityVariant[FireplaceGridEntityVariant["RED"] = 1] = "RED";
})(FireplaceGridEntityVariant || (FireplaceGridEntityVariant = {}));
/** For `GridEntityType.POOP` (14). */
export var PoopGridEntityVariant;
(function (PoopGridEntityVariant) {
    PoopGridEntityVariant[PoopGridEntityVariant["NORMAL"] = 0] = "NORMAL";
    PoopGridEntityVariant[PoopGridEntityVariant["RED"] = 1] = "RED";
    PoopGridEntityVariant[PoopGridEntityVariant["CORNY"] = 2] = "CORNY";
    PoopGridEntityVariant[PoopGridEntityVariant["GOLDEN"] = 3] = "GOLDEN";
    PoopGridEntityVariant[PoopGridEntityVariant["RAINBOW"] = 4] = "RAINBOW";
    PoopGridEntityVariant[PoopGridEntityVariant["BLACK"] = 5] = "BLACK";
    PoopGridEntityVariant[PoopGridEntityVariant["WHITE"] = 6] = "WHITE";
    PoopGridEntityVariant[PoopGridEntityVariant["GIANT_TOP_LEFT"] = 7] = "GIANT_TOP_LEFT";
    PoopGridEntityVariant[PoopGridEntityVariant["GIANT_TOP_RIGHT"] = 8] = "GIANT_TOP_RIGHT";
    PoopGridEntityVariant[PoopGridEntityVariant["GIANT_BOTTOM_LEFT"] = 9] = "GIANT_BOTTOM_LEFT";
    PoopGridEntityVariant[PoopGridEntityVariant["GIANT_BOTTOM_RIGHT"] = 10] = "GIANT_BOTTOM_RIGHT";
    PoopGridEntityVariant[PoopGridEntityVariant["CHARMING"] = 11] = "CHARMING";
})(PoopGridEntityVariant || (PoopGridEntityVariant = {}));
/** For `GridEntityType.DOOR` (16). */
export var DoorVariant;
(function (DoorVariant) {
    DoorVariant[DoorVariant["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    DoorVariant[DoorVariant["LOCKED"] = 1] = "LOCKED";
    DoorVariant[DoorVariant["LOCKED_DOUBLE"] = 2] = "LOCKED_DOUBLE";
    DoorVariant[DoorVariant["LOCKED_CRACKED"] = 3] = "LOCKED_CRACKED";
    DoorVariant[DoorVariant["LOCKED_BARRED"] = 4] = "LOCKED_BARRED";
    /** The Mega Satan door, which is unlocked with the Key Piece familiars. */
    DoorVariant[DoorVariant["LOCKED_KEY_FAMILIAR"] = 5] = "LOCKED_KEY_FAMILIAR";
    DoorVariant[DoorVariant["LOCKED_GREED"] = 6] = "LOCKED_GREED";
    DoorVariant[DoorVariant["HIDDEN"] = 7] = "HIDDEN";
    DoorVariant[DoorVariant["UNLOCKED"] = 8] = "UNLOCKED";
})(DoorVariant || (DoorVariant = {}));
/** For `GridEntityType.TRAPDOOR` (17). */
export var TrapdoorVariant;
(function (TrapdoorVariant) {
    TrapdoorVariant[TrapdoorVariant["NORMAL"] = 0] = "NORMAL";
    /**
     * Void Portals will have a VarData of 0 if they are part of the grid layout and a VarData of 1 if
     * they are spawned after defeating a boss.
     *
     * Manually spawning a trapdoor with a variant of a Void Portal will work, but the sprite will
     * have the appearance of a normal trapdoor; you must replace the sprite sheet with
     * "gfx/grid/voidtrapdoor.anm2".
     */
    TrapdoorVariant[TrapdoorVariant["VOID_PORTAL"] = 1] = "VOID_PORTAL";
})(TrapdoorVariant || (TrapdoorVariant = {}));
/** For `GridEntityType.CRAWL_SPACE` (18). */
export var CrawlSpaceVariant;
(function (CrawlSpaceVariant) {
    CrawlSpaceVariant[CrawlSpaceVariant["NORMAL"] = 0] = "NORMAL";
    /** Found by throwing a Chaos Card at Great Gideon. */
    CrawlSpaceVariant[CrawlSpaceVariant["GREAT_GIDEON"] = 1] = "GREAT_GIDEON";
    /** Found in shops when the player has the Member Card item. */
    CrawlSpaceVariant[CrawlSpaceVariant["SECRET_SHOP"] = 2] = "SECRET_SHOP";
    /** Found when using Genesis on a "final" floor. */
    CrawlSpaceVariant[CrawlSpaceVariant["PASSAGE_TO_BEGINNING_OF_FLOOR"] = 3] = "PASSAGE_TO_BEGINNING_OF_FLOOR";
    /**
     * This variant is not used by the game.
     *
     * Any variant with a value of 4 or higher will not interact with the player.
     */
    CrawlSpaceVariant[CrawlSpaceVariant["NULL"] = 4] = "NULL";
})(CrawlSpaceVariant || (CrawlSpaceVariant = {}));
/** For `GridEntityType.PRESSURE_PLATE` (20). */
export var PressurePlateVariant;
(function (PressurePlateVariant) {
    PressurePlateVariant[PressurePlateVariant["PRESSURE_PLATE"] = 0] = "PRESSURE_PLATE";
    PressurePlateVariant[PressurePlateVariant["REWARD_PLATE"] = 1] = "REWARD_PLATE";
    PressurePlateVariant[PressurePlateVariant["GREED_PLATE"] = 2] = "GREED_PLATE";
    PressurePlateVariant[PressurePlateVariant["RAIL_PLATE"] = 3] = "RAIL_PLATE";
    PressurePlateVariant[PressurePlateVariant["KILL_ALL_ENEMIES_PLATE"] = 9] = "KILL_ALL_ENEMIES_PLATE";
    PressurePlateVariant[PressurePlateVariant["SPAWN_ROCKS_PLATE"] = 10] = "SPAWN_ROCKS_PLATE";
})(PressurePlateVariant || (PressurePlateVariant = {}));
/** For `GridEntityType.STATUE` (21). */
export var StatueVariant;
(function (StatueVariant) {
    StatueVariant[StatueVariant["DEVIL"] = 0] = "DEVIL";
    StatueVariant[StatueVariant["ANGEL"] = 1] = "ANGEL";
})(StatueVariant || (StatueVariant = {}));
