/**
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename ActionTrigger
 */
declare const ActionTriggerInternal: {
    /** 1 << -1 (0) */
    readonly NONE: number;
    /** 1 << 0 (1) */
    readonly BOMB_PLACED: number;
    /** 1 << 1 (2) */
    readonly MOVED: number;
    /** 1 << 2 (4) */
    readonly SHOOTING: number;
    /** 1 << 3 (8) */
    readonly CARD_PILL_USED: number;
    /** 1 << 4 (16) */
    readonly ITEM_ACTIVATED: number;
    /** 1 << 5 (32) */
    readonly ITEMS_DROPPED: number;
};
type ActionTriggerValue = BitFlag & {
    readonly __actionTriggerBrand: symbol;
};
type ActionTriggerType = {
    readonly [K in keyof typeof ActionTriggerInternal]: ActionTriggerValue;
};
export declare const ActionTrigger: ActionTriggerType;
export type ActionTrigger = ActionTriggerType[keyof ActionTriggerType];
export declare const ActionTriggerZero: BitFlags<ActionTriggerValue>;
export {};
//# sourceMappingURL=ActionTrigger.d.ts.map